Moved FreeBSD setup to define a freebsd build platform. GCC4 apparently also requires the use of GNU Make, so told the build_cross_tools script to use 'gmake' instead of 'make' on BSD systems.

git-svn-id: file:///srv/svn/repos/haiku/haiku/trunk@15024 a95241bf-73f2-0310-859d-f6bbb57e9c96
This commit is contained in:
Nathan Whitehorn
2005-11-18 16:35:32 +00:00
parent 55d6d70ee5
commit 307807f2da
3 changed files with 10 additions and 5 deletions
+6 -4
View File
@@ -9,6 +9,8 @@ fi
haikuSourceDir=$1
buildToolsDir=$2
if [ $(uname) = "FreeBSD" ]; then make="gmake"; else make="make"; fi
if [ $# \< 3 ]; then
haikuOutputDir=$haikuSourceDir/generated
else
@@ -77,8 +79,8 @@ cd $binutilsObjDir
CFLAGS="-O2" CXXFLAGS="-O2" $binutilsSourceDir/configure \
--prefix=$installDir --target=i586-pc-beos --disable-nls \
--enable-shared=yes || exit 1
make || exit 1
make install || exit 1
$make || exit 1
$make install || exit 1
export PATH=$PATH:$installDir/bin
@@ -111,13 +113,13 @@ CFLAGS="-O2" CXXFLAGS="-O2" $gccSourceDir/configure --prefix=$installDir \
--with-libs=$tmpLibDir || exit 1
# make gcc
make || {
$make || {
echo "ERROR: Building gcc failed." >&2
exit 1
}
# install gcc
make install || {
$make install || {
echo "ERROR: Installing the cross compiler failed." >&2
exit 1
}